Bug 184101 - Invalid Pointer error when upgrading the kernel.
Invalid Pointer error when upgrading the kernel.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brian Brock
:
Depends On:
Blocks: 179599
  Show dependency treegraph
 
Reported: 2006-03-06 05:14 EST by Douglas Furlong
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-26 16:07:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas Furlong 2006-03-06 05:14:54 EST
Description of problem:

When performing an upgrade of the following products, I got the below error.

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 kernel-xen-hypervisor   i686       2.6.15-1.2009.4.2_FC5  development        14 M
Updating:
 kudzu                   i386       1.2.33-1         development       281 k
Removing:
 kernel-xen-hypervisor   i686       2.6.15-1.1977_FC5  installed          39 M



Running Transaction
  Updating  : kudzu                        ######################### [1/4]
  Cleanup   : kudzu                        ######################### [2/4]
  Installing: kernel-xen-hypervisor        ######################### [3/4]
*** glibc detected *** /sbin/grubby: munmap_chunk(): invalid pointer: 0xbfa57a40 ***
======= Backtrace: =========
/lib/i686/nosegneg/libc.so.6(__libc_free+0x17b)[0xc5d0c0]
/sbin/grubby[0x804fd12]
/sbin/grubby[0x804fe73]
/sbin/grubby[0x8050c9e]
/lib/i686/nosegneg/libc.so.6(__libc_start_main+0xdc)[0xc0a7e4]
/sbin/grubby[0x804a001]
======= Memory map: ========
00301000-00302000 r-xp 00301000 00:00 0          [vdso]
005a5000-005be000 r-xp 00000000 fd:00 2031632    /lib/ld-2.3.91.so
005be000-005bf000 r-xp 00018000 fd:00 2031632    /lib/ld-2.3.91.so
005bf000-005c0000 rwxp 00019000 fd:00 2031632    /lib/ld-2.3.91.so
00bf5000-00d1b000 r-xp 00000000 fd:00 2031869    /lib/i686/nosegneg/libc-2.3.91.so
00d1b000-00d1e000 r-xp 00125000 fd:00 2031869    /lib/i686/nosegneg/libc-2.3.91.so
00d1e000-00d1f000 rwxp 00128000 fd:00 2031869    /lib/i686/nosegneg/libc-2.3.91.so
00d1f000-00d22000 rwxp 00d1f000 00:00 0
042a0000-042ab000 r-xp 00000000 fd:00 2034061    /lib/libgcc_s-4.1.0-20060219.so.1
042ab000-042ac000 rwxp 0000a000 fd:00 2034061    /lib/libgcc_s-4.1.0-20060219.so.1
08048000-08089000 r-xp 00000000 fd:00 1540258    /sbin/grubby
08089000-0808c000 rw-p 00041000 fd:00 1540258    /sbin/grubby
0808c000-08094000 rw-p 0808c000 00:00 0
08a6c000-08ac9000 rw-p 08a6c000 00:00 0          [heap]
b7f4c000-b7f4d000 rw-p b7f4c000 00:00 0
b7f59000-b7f5a000 rw-p b7f59000 00:00 0
bfa45000-bfa5a000 rw-p bfa45000 00:00 0          [stack]
/sbin/new-kernel-pkg: line 89:  8252 Aborted                 /sbin/grubby
--add-kernel=$bootPrefix/$kernelName-$version $INITRD --copy-default
$makedefault --title "$title" ${mbkernel:+--add-multiboot="$mbkernel"}
${mbargs:+--mbargs="$mbargs"} --args="root=$rootdevice $kernargs"
--remove-kernel="TITLE=$title"
  Cleanup   : kernel-xen-hypervisor        ######################### [4/4]

Removed: kernel-xen-hypervisor.i686 0:2.6.15-1.1977_FC5
Installed: kernel-xen-hypervisor.i686 0:2.6.15-1.2009.4.2_FC5
Updated: kudzu.i386 0:1.2.33-1
Complete!


Version-Release number of selected component (if applicable):


How reproducible:

Not tested


Please let me know if there is any other information that I can provide.
Comment 1 Jeremy Katz 2006-04-07 16:25:59 EDT
What version of mkinitrd is installed?  Does this still happen with FC5 final?
Comment 2 Douglas Furlong 2006-04-08 04:00:25 EDT
This does not appear to be happening with the recent updates.

However, I am not running the Xen environment any more.

I can provide no more information on this ticket, so it is probably worth
closing it.

Note You need to log in before you can comment on or make changes to this bug.